Bug 124463 - preferences window bigger than my screen
preferences window bigger than my screen
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 15:49 EDT by Bob Gustafson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 07:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Gustafson 2004-05-26 15:49:11 EDT
Description of problem:

  I opened gimp and then went to the preferences window (the one with
the menu list of types of perferences down the left side.

  I clicked around - looking at things.

  THen I realized that the top of the window was off my screen and the
bottom of the window was off the screen. I could not see the minimize
or close buttons (at top), or any of the action buttons at the bottom
(save? - quit? - did not even see the tops of the buttons)

Version-Release number of selected component (if applicable):

  [root@hoho2 tmp]# rpm -q gimp
  gimp-2.0.1-4
  [root@hoho2 tmp]#


How reproducible:

  Always (for me)

Steps to Reproduce:
1. Set up your screen to 832x624 resolution (matches my other machine)
2. Set system fonts a bit bigger than normal (I need glasses - one of
these days)
3. Run Gimp
4. open preferences
5. Now, try to close the preferences window - ha, gotcha
  
Actual results:

  Need to go to a terminal window and 'kill -TERM <gimp-pid> to close..

Expected results:

  I should be able to see the buttons. Alternatively, clicking on
window with right button - it would be nice to get a menu - maybe with
some button choices (save, minimize, shrink window...)

Additional info:

  I am running Fedora Core 2 with updates applied (except ppp and
subversion, which are not updatable at the moment)
Comment 1 Nils Philippsen 2004-05-27 07:30:51 EDT
This is problem (app window > screen size) is generic with many
applications and won't likely be solvable in all cases. In this
instance, it won't be until Havoc P. has his way with the GIMP
preferences and gets it stripped down to only 5 options or so ;-).

This means for you that this won't likely be fixed in the GIMP, but
there's a workaround available, at least when you're in GNOME and use
the metacity window manager (default one). When going to Main Panel
Menu -> Preferences -> Windows, you have this option:

"""
To move a window, press-and-hold this key then grab the window:

o Control
o Alt
o Hyper
o Super (or "Windows Logo")
"""

which is Alt per default I think. So Alt+drag to move your window in
GNOME and I think there should be something similar in KDE.

832x624 is way to small for image editing anyway ;-).

Note You need to log in before you can comment on or make changes to this bug.